Bug 234061 - net-im/prosody: fix build with GCC-based architectures, respect CFLAGS and LDFLAGS
Summary: net-im/prosody: fix build with GCC-based architectures, respect CFLAGS and LD...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: David Thiel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-16 15:18 UTC by Piotr Kubaj
Modified: 2018-12-20 06:27 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (lx)


Attachments
patch (1.29 KB, patch)
2018-12-16 15:18 UTC, Piotr Kubaj
no flags Details | Diff
Poudriere errors (2.20 KB, text/plain)
2018-12-18 22:22 UTC, David Thiel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-12-16 15:18:27 UTC
Created attachment 200154 [details]
patch

This port requires C11-compatible compiler. It also doesn't respect CFLAGS and LDFLAGS, so USE_CSTD actually didn't have any effect.

Add patch to respect CFLAGS.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 David Thiel freebsd_committer 2018-12-18 22:22:42 UTC
Created attachment 200242 [details]
Poudriere errors
Comment 2 David Thiel freebsd_committer 2018-12-18 22:23:08 UTC
This doesn't build for me under poudriere for 12.0-RELEASE.
Comment 3 Piotr Kubaj freebsd_committer 2018-12-19 15:58:41 UTC
It looks like my change to patch-configure breaks it, but my change to Makefile is enough to make it build on powerpc64 and doesn't break amd64.

Can you commit that?

To clear the confusion:
Index: Makefile
===================================================================
--- Makefile    (revision 487742)
+++ Makefile    (working copy)
@@ -20,8 +20,7 @@
                ${LUA_MODLIBDIR}/bit.so:devel/lua51-bitop
 LIB_DEPENDS=   libidn.so:dns/libidn

-USES=          cpe gmake lua:51 shebangfix ssl
-USE_CSTD=      c99
+USES=          compiler:c11 cpe gmake lua:51 shebangfix ssl
 SHEBANG_FILES= prosody prosodyctl
 LUA_PREMK=     yes
 HAS_CONFIGURE= yes
Comment 4 commit-hook freebsd_committer 2018-12-19 18:45:55 UTC
A commit references this bug:

Author: lx
Date: Wed Dec 19 18:45:39 UTC 2018
New revision: 487809
URL: https://svnweb.freebsd.org/changeset/ports/487809

Log:
  Fix build on GCC architectures.

  PR:		234061
  Submitted by:	Piotr Kubaj

Changes:
  head/net-im/prosody/Makefile
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2018-12-20 06:27:57 UTC
Committed Wed Dec 19 18:45:39 UTC 2018.